Service Unavailable after upgrade

After I was asked to force upgrade. I did upgrade to 4.X stable.
After that I am keep getting error as below,
MongoDB DeprecatedMongoDB version 4.0.27 is deprecated, please upgrade your installation.

And if Ignore and restart rocket chat,it is consuming lot of CPU and getting Service Unavailable error.

I cannot find better way to upgrade managdo to latest version from snap.

Please advise. Else please let me know the downgrade procedure.

  • Version of Rocket.Chat Server: 4.8.1
  • Operating System: Debian
  • Deployment Method: snap
  • Number of Running Instances:
  • DB Replicaset Oplog:
  • NodeJS Version: v14.18.3
  • MongoDB Version: 4.2.17 / wiredTiger (oplog Enabled)
  • Proxy: caddy
  • Firewalls involved: